<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Ics;


abstract class IcsAuswahlUseCase extends \Kufer\KuferTools\Basis\UseCase\ToolUseCase
{
  public function __construct($request, $response = null)
  {
    parent::__construct($request, $response ?? new IcsAuswahlResponse());
  }

  protected function setzeZeitraum($pBeginnDat = '', $pEndeDat = '')
  {
    
    if ($this->request->zeitbereich === 'ersterKurs') {
      $this->response->vonDat = $pBeginnDat;
      $this->response->bisDat = $pEndeDat;
    } else {
      $this->response->vonDat = \DateTimeOperations::getDateNow();
      $this->response->bisDat = \DateTimeOperations::addMonths($this->response->vonDat, 3);
    }
  }
}

class IcsAuswahlRequest
{
  public $kursnummern;
  public $zeitbereich;
  public $belnummern;
}

class IcsAuswahlResponse extends \Kufer\KuferTools\Basis\UseCase\ToolResponse
{
  public $kursnummern;
  public $vonDat;
  public $bisDat;
  public $kurstageNurVonEingeloggtemDozent = false;
}